package com.cyksj.service.pay;

import com.cyksj.model.dto.AliPayParams;
import com.cyksj.model.request.AlipayOrderDonReq;

/*
 *项目名: netflix
 *文件名: AliPayCommonService
 *创建者: JavaZou
 *创建时间:2023/6/14 15:19
 */
public interface AliPayCommonService {
	/**
	 *
	 * @param orderId
	 * @param productCode 支付产品码
	 * @param returnUrl
	 * @return
	 */
	AliPayParams unifiedPayRegister(Long orderId, String productCode, String payMode, String returnUrl) throws Exception;

	AliPayParams unifiedPay(AlipayOrderDonReq re, String productCode, String payMode) throws Exception;

	AliPayParams unifiedPayUpgrade(AlipayOrderDonReq re, String productCode, String payMode) throws Exception;

	AliPayParams aliPayUnifiedWholesale(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	AliPayParams aliPayUnifiedWholesaleDeposit(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	AliPayParams openShopAliPay(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	AliPayParams aliPaySpotifyUpgrade(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	AliPayParams unifiedPayVip(Long orderId, String productCode, String payMode, String returnUrl) throws Exception;
}
